image: alpine:latest

stages:
  - build
  - test
  - deploy 

variables:
  VAR_G_Amesh: "TEST GLOBAL"

build_job:
  stage: build
  variables:
    VAR_L_Amesh: "test local"
  script:
  - echo "run build job ${VAR_G_Amesh}, ${VAR_L_Amesh}"
  artifacts:
    paths:
    - public
  only:
  - master
  - development

test1_job:
  stage: test
  script:
  - echo "run build job ${VAR_G_Amesh}"
  artifacts:
    paths:
    - public
  only:
  - master
  - development

test2_job:
  stage: test
  script:
  - echo 'run test job'
  artifacts:
    paths:
    - public
  only:
  - master
  - development

deploy_job:
  stage: deploy
  script:
  - echo 'run deploy job'
  artifacts:
    paths:
    - public
  only:
  - master
  - development
  when: manual
